<%
require 'uri'
ENV['DATABASE_URL'] ||= "postgres://postgres@localhost/kyouko_development"
db_url = URI.parse(ENV['DATABASE_URL'])
%>

default: &default
  adapter: postgresql
  username: <%= db_url.user %>
  password: <%= db_url.password %>
  host:     <%= db_url.host %>
  port:     <%= db_url.port %>
  database: <%= db_url.path.split('/')[1] %>
  encoding: unicode
  pool: 5
  timeout: 5000

development:
  <<: *default
  database: kyouko_development

test:
  <<: *default
  database: kyouko_test

staging:
  <<: *default

# vim:set ft=eruby:
